-- GovernmentOverviewGlobals.lua
-- Author: sman
-- DateCreated: 07/11/18 9:28:14 AM
--------------------------------------------------------------

g_bDebugPrint = true																		-- Determines whether to print data to the LUA Console/Lua.log file
g_MinimumGovernmentAge = 20																	-- Minimum age a government can be before changing (in game turns)
g_iCostCoefficient = 1.5																	-- Used to determine how expensive gov change will be (in culture and gold)
g_tSavedData = Modding.OpenSaveData()														-- Stores age of government from save game area													

STAT_SCORE = 1
STAT_POPULATION = 2
STAT_MIL_POWER = 3
STAT_LITERACY = 4

g_tStatsTable = { }

GOV_ANARCHY = 1
GOV_DESPOTISM = 2
GOV_DYNASTIC_KINGDOM = 3
GOV_OLIGARCHY = 4
GOV_DEMOCRACY = 5
GOV_EMPIRE = 6
GOV_MONARCHY = 7
GOV_MERCHANT_REPUBLIC = 8
GOV_THEOCRACY = 9
GOV_REPUBLIC = 10
GOV_CONSTITUTIONAL_MONARCHY = 11
GOV_COMMUNISIM = 12
GOV_FASCISM = 13
GOV_CORPORATE_REPUBLIC = 14
GOV_TECHNOCRACY = 15
GOV_SKYNET = 16
GOV_UTOPIA = 17
GOV_UNKNOWN = 98
GOV_OUT_OF_GAME = 99

LAST_REAL_GOVERNMENT = GOV_UTOPIA


-- =================== 	 Government Type		  Text Desc.			Cost				Corresponding Dummy Building						Text Key for Help								Allowed Ideologies		Assoc. Promotions							Social Policy Rqd.				Portrait Index
g_tGovernment_Types	= {	[GOV_ANARCHY] =			{ "Anarchy",			1,					"BUILDINGCLASS_PALACE",								"TXT_KEY_GOV_OV_GOVERNMENT_ANARCHY",			"AFNO",					"",											"",								1 },
						[GOV_DESPOTISM] =		{ "Despotism",			20,					"BUILDING_WAW_GOVERNMENT_DESPOTISM",				"TXT_KEY_GOV_OV_GOVERNMENT_DESPOTISM",			"A-NO",					"PROMOTION_NATGOV_DESPOTISM",				"",								2 },						
						[GOV_DYNASTIC_KINGDOM] ={ "Dynastic Kingdom",	20,					"BUILDING_WAW_GOVERNMENT_DYNASTIC_KINGDOM",			"TXT_KEY_GOV_OV_GOVERNMENT_DYNASTIC_KINGDOM",	"AFNO",					"PROMOTION_NATGOV_DYNASTIC_KINGDOM",		"",								32 },
						[GOV_OLIGARCHY] =		{ "Oligarchy",			20,					"BUILDING_WAW_GOVERNMENT_OLIGARCHY",				"TXT_KEY_GOV_OV_GOVERNMENT_OLIGARCHY",			"-FNO",					"PROMOTION_NATGOV_OLIGARCHY",				"POLICY_OLIGARCHY",				3 },
						[GOV_DEMOCRACY] =		{ "Democracy",			20,					"BUILDING_WAW_GOVERNMENT_DEMOCRACY",				"TXT_KEY_GOV_OV_GOVERNMENT_DEMOCRACY",			"-FN-",					"PROMOTION_NATGOV_DEMOCRACY",				"",								4 },						
						[GOV_EMPIRE] =			{ "Empire",				20,					"BUILDING_WAW_GOVERNMENT_EMPIRE",					"TXT_KEY_GOV_OV_GOVERNMENT_EMPIRE",				"A-NO",					"PROMOTION_NATGOV_EMPIRE",					"POLICY_ARISTOCRACY",			33 },							
						[GOV_MONARCHY] =		{ "Monarchy",			22,					"BUILDING_WAW_GOVERNMENT_MONARCHY",					"TXT_KEY_GOV_OV_GOVERNMENT_MONARCHY",			"AFNO",					"PROMOTION_NATGOV_MONARCHY",				"POLICY_MONARCHY",				6 },						
						[GOV_MERCHANT_REPUBLIC] ={ "Merchant Republic",	25,					"BUILDING_WAW_GOVERNMENT_MERCHANT_REPUBLIC",		"TXT_KEY_GOV_OV_GOVERNMENT_MERCHANT_REPUBLIC",	"-FN-",					"PROMOTION_NATGOV_MERCHANT_REPUBLIC",		"POLICY_MERCHANT_CONFEDERACY",	34 },
						[GOV_THEOCRACY] =		{ "Theocracy",			22,					"BUILDING_WAW_GOVERNMENT_THEOCRACY",				"TXT_KEY_GOV_OV_GOVERNMENT_THEOCRACY",			"A-N-",					"PROMOTION_NATGOV_THEOCRACY",				"POLICY_THEOCRACY",				5 },
						[GOV_REPUBLIC] =		{ "Republic",			25,					"BUILDING_WAW_GOVERNMENT_REPUBLIC",					"TXT_KEY_GOV_OV_GOVERNMENT_REPUBLIC",			"-FN-",					"PROMOTION_NATGOV_REPUBLIC",				"POLICY_REPUBLIC",				7 },
						[GOV_CONSTITUTIONAL_MONARCHY] =	{ "Constitutional Monarchy", 25,	"BUILDING_WAW_GOVERNMENT_CONSTITUTIONAL_MONARCHY",	"TXT_KEY_GOV_OV_GOVERNMENT_CONST_MONARCHY",		"-FNO",					"PROMOTION_NATGOV_CON_MONARCHY",			"",								8 },
						[GOV_COMMUNISIM] =		{ "Communism",			30,					"BUILDING_WAW_GOVERNMENT_COMMUNISM",				"TXT_KEY_GOV_OV_GOVERNMENT_COMMUNISM",			"A--O",					"PROMOTION_NATGOV_COMMUNISM",				"",								9 },
						[GOV_FASCISM] =			{ "Fascism",			30,					"BUILDING_WAW_GOVERNMENT_FASCISM",					"TXT_KEY_GOV_OV_GOVERNMENT_FASCISM",			"A---",					"PROMOTION_NATGOV_FASCISM",					"",								10 },
						[GOV_CORPORATE_REPUBLIC] = { "Corporate Republic",	32,				"BUILDING_WAW_GOVERNMENT_CORPORATE_REPUBLIC",		"TXT_KEY_GOV_OV_GOVERNMENT_CORP_REPUBLIC",		"AF-O",					"PROMOTION_NATGOV_CORPORATE_REPUBLIC",		"",								11 },
						[GOV_TECHNOCRACY] =		{ "Technocracy",		32,					"BUILDING_WAW_GOVERNMENT_TECHNOCRACY",				"TXT_KEY_GOV_OV_GOVERNMENT_TECHNOCRACY",		"AF-O",					"PROMOTION_NATGOV_TECHNOCRACY",				"",								12 },						
						[GOV_SKYNET] =			{ "Cyberocracy",		32,					"BUILDING_WAW_GOVERNMENT_SKYNET",					"TXT_KEY_GOV_OV_GOVERNMENT_SKYNET",				"AFNO",					"PROMOTION_NATGOV_SKYNET",					"POLICY_SCIENTIFIC_REVOLUTION",	35 },						
						[GOV_UTOPIA] =			{ "Nova Utopia",		32,					"BUILDING_WAW_GOVERNMENT_UTOPIA",					"TXT_KEY_GOV_OV_GOVERNMENT_UTOPIA",				"-FNO",					"PROMOTION_NATGOV_UTOPIA",					"POLICY_CULTURAL_CENTERS",		40 },						
						[GOV_UNKNOWN] =			{ "Unknown",			1,					-1,													"TXT_KEY_GOV_OV_GOVERNMENT_UNKNOWN",			"AF-O",					"",											"",								0 },
						[GOV_OUT_OF_GAME] =		{ "Out of Game",		1,					-2,													"TXT_KEY_GOV_OV_GOVERNMENT_OUT_OF_GAME",		"AF-O",					"",											"",								0 } }


GOV_CD_UNKNOWN = 1
GOV_CD_UNMET = 2
GOV_CD_INTRODUCTORY = 3
GOV_CD_BASIC = 4
GOV_CD_FUNCTIONAL = 5
GOV_CD_ADVANCED = 6
GOV_CD_FLUENT = 7
GOV_CD_NATIVE = 8

-- =================== 	 Civ Disc. Type			  Text Title		Text Desc.																Probability Adjustment	
g_tCiv_Discernment	= {	[GOV_CD_UNKNOWN] =		{ "Unknown",		"You have no relationship with this civilization",						0 },	
						[GOV_CD_UNMET] =		{ "Unmet",			"You have not met this civilization",									0 },		
						[GOV_CD_INTRODUCTORY] =	{ "Introductory",	"You have met this civilization",										0 },
						[GOV_CD_BASIC] =		{ "Basic",			"You have an embassy with this civilization",							0 },	
						[GOV_CD_FUNCTIONAL] =	{ "Functional",		"You have a [ICON_SPY] Spy in one of their cities",						0 },	
						[GOV_CD_ADVANCED] =		{ "Advanced",		"You have a [ICON_SPY] Spy in their [ICON_CAPITAL] Capital",			.33 },
						[GOV_CD_FLUENT] =		{ "Fluent",			"You have a [ICON_DIPLOMAT] Diplomat in their [ICON_CAPITAL] Capital",	.15 },	
						[GOV_CD_NATIVE] =		{ "Native",			"You are a team member with this civilization",							0 } }


GOV_CD_ASSESS_UNKNOWN = 1
GOV_CD_ASSESS_INFERIOR = 3
GOV_CD_ASSESS_PARITY = 4
GOV_CD_ASSESS_SUPERIOR = 5

g_tCivDiscAssessment = {	[GOV_CD_ASSESS_UNKNOWN] =	{ "  ?" },							
							[GOV_CD_ASSESS_INFERIOR] =	{ "Inferior" },	
							[GOV_CD_ASSESS_PARITY] =	{ "Parity" },		
							[GOV_CD_ASSESS_SUPERIOR] =	{ "Superior" } }


GOV_CD_QUALIFIER_UNKNOWN = 1
GOV_CD_QUALIFIER_ESTIMATE = 2
GOV_CD_QUALIFIER_ABOUT = 3
GOV_CD_QUALIFIER_ROUGHLY = 4
GOV_CD_QUALIFIER_VASTLY = 5
GOV_CD_QUALIFIER_DRASTICALLLY = 6

g_tCivDiscQualifier = {		[GOV_CD_QUALIFIER_UNKNOWN] =		{ "" },	
							[GOV_CD_QUALIFIER_ESTIMATE] =		{ "Est." },	
							[GOV_CD_QUALIFIER_ABOUT] =			{ "" },	
							[GOV_CD_QUALIFIER_ROUGHLY] =		{ "Roughly " },		
							[GOV_CD_QUALIFIER_VASTLY] =			{ "Vastly " },
							[GOV_CD_QUALIFIER_DRASTICALLLY] =	{ "Drastically " } }


GOV_INTEL_QUALITY = {	[GOV_CD_UNKNOWN] = "Unknown",	
						[GOV_CD_UNMET] = "Unmet",	
						[GOV_CD_INTRODUCTORY] = "Rumors",	
						[GOV_CD_BASIC] = "Estimated",		
						[GOV_CD_FUNCTIONAL] = "Reliable",	
						[GOV_CD_ADVANCED] = "Highly Reliable",
						[GOV_CD_FLUENT] = "Near-Certainty",
						[GOV_CD_NATIVE] = "Certainty"	}


GOV_NOTIFICATION_GENERIC = 1
GOV_NOTIFICATION_RECOVER = 2
GOV_NOTIFICATION_GREEN = 3
GOV_NOTIFICATION_RED = 4
GOV_NOTIFICATION_BLUE = 5



